Bug 174001 - installonlyn plugin removes kernel which is not oldest
installonlyn plugin removes kernel which is not oldest
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 10:28 EST by Christopher Aillon
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 19:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2005-11-23 10:28:16 EST
Description of problem:
> cat /etc/yum/pluginconf.d/installonlyn.conf
[main]
enabled=1
# this sets the number of package versions which are kept
tokeep=3
> rpm -q kernel
kernel-2.6.14-1.1665_FC5
kernel-2.6.14-1.1674_FC5
kernel-2.6.14-1.1688_FC5
> yum --exclude=mplayer* update
[...snip...]
Added 3445 new packages, deleted 3442 old in 30.23 seconds
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.i686 0:2.6.14-1.1696_FC5 set to be installed
---> Package kernel-devel.i686 0:2.6.14-1.1696_FC5 set to be installed
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kernel                  i686       2.6.14-1.1696_FC5  development        16 M
 kernel-devel            i686       2.6.14-1.1696_FC5  development       4.4 M
Removing:
 kernel                  i686       2.6.14-1.1674_FC5  installed          40 M
 kernel-devel            i686       2.6.14-1.1674_FC5  installed          12 M

Transaction Summary
=============================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       2 Package(s)
Total download size: 20 M
Is this ok [y/N]:



Version-Release number of selected component (if applicable):

> rpm -q yum
yum-2.4.0-14

  
Actual results: Note that it tries to remove 1674 when 1665 is still around.


Expected results: 1665 sucks.  Die!


Additional info: Chris Blizzard likes monkeys.
Comment 1 Jeremy Katz 2005-11-30 19:47:27 EST
Fixed in yum-2.4.1-1.  
Comment 2 Jef Spaleta 2005-12-01 15:10:04 EST
I'm not sure this is is buggy behavior or not.. but the fix is behaving in a way
i didn't expect on my smp system:

Beginning system state:
rpm -q kernel
kernel-2.6.14-1.1696_FC5
kernel-2.6.14-1.1712_FC5
kernel-2.6.14-1.1713_FC5
kernel-2.6.14-1.1715_FC5

rpm -q kernel-smp
kernel-smp-2.6.14-1.1663_FC5
kernel-smp-2.6.14-1.1665_FC5
kernel-smp-2.6.14-1.1674_FC5
kernel-smp-2.6.14-1.1696_FC5
kernel-smp-2.6.14-1.1715_FC5
kernel-smp-2.6.14-1.1720_FC5

uname -r
2.6.14-1.1720_FC5smp

/etc/yum/pluginconf.d/installonlyn.conf
[main]
enabled=1
tokeep=5

yum update kernel*
Installing:
 kernel                  i686       2.6.14-1.1729_FC5  development        15 M
 kernel-smp              i686       2.6.14-1.1729_FC5  development        16 M
 kernel-smp-devel        i686       2.6.14-1.1729_FC5  development       4.4 M
Removing:
 kernel                  i686       2.6.14-1.1713_FC5  installed          38 M
 kernel                  i686       2.6.14-1.1712_FC5  installed          38 M
 kernel                  i686       2.6.14-1.1696_FC5  installed          40 M
 kernel                  i686       2.6.14-1.1715_FC5  installed          38 M
 kernel-smp              i686       2.6.14-1.1663_FC5  installed          46 M
 kernel-smp              i686       2.6.14-1.1665_FC5  installed          46 M
 kernel-smp-devel        i686       2.6.14-1.1656_FC5  installed          12 M


Now my math skills are rusty but its not keeping 5 of the kernel rpm. But it
appears to be keeping 5 of the kernel-smp.  I'm not sure if this desired
behavior or not. I guess i expected to keep either as many kernel rpms around as
kernel-smp rpms or to keep verions as new as kernel-smp. I didn't expect it to
get rid of all the kernel rpms when i have tokeep set to 5.

-jef

Note You need to log in before you can comment on or make changes to this bug.